Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003026KdenliveFile Loadingpublic2013-03-22 03:022013-04-07 08:45
Reportertc 
Assigned Toj-b-m 
PriorityhighSeverityblockReproducibilityalways
StatusclosedResolutionfixed 
PlatformAMD64OSDebianOS Versionunstable (sid)
Product Version0.9.2 
Target VersionFixed in Version0.9.6 
Summary0003026: Clip files rejected as invalid
DescriptionThis is a followup to 0003022, with bumped version number and shortened.

After the last update, kdenlive could not load any clip file anymore. It says 'Clip <name missing> is invalid.' and refuses to load. Interestingly, the name is missing here, but it is listed correctly in the text box of that error window.
I tried this with many different files and formats, which all used to work. None loads anymore.

Color or title clips work as usual.
Steps To ReproduceLaunch kdenlive -> Add clip -> (choose)

It also happens when laoding a project file.
Additional InformationThis is the terminal output when launched from commandline, and loading file /tmp/mjpeg-test.avi (a simple mjpg camera recording):

---------------
QWidget::insertAction: Attempt to insert null action
QWidget::insertAction: Attempt to insert null action
ALSA lib pcm.c:7339:(snd_pcm_recover) underrun occurred
ALSA lib pcm.c:7339:(snd_pcm_recover) underrun occurred
Connecting to deprecated signal QDBusConnectionInterface::serviceOwnerChanged(QString,QString,QString)
QDBusConnection: session D-Bus connection created before QCoreApplication. Application may misbehave.
QDBusConnection: session D-Bus connection created before QCoreApplication. Application may misbehave.
kbuildsycoca4 running...
kbuildsycoca4(6637)/kdecore (services) KServicePrivate::init: The desktop entry file "/usr/share/applications/usbview.desktop" has Type= "Applications/System/Hardware" instead of "Application" or "Service"

kbuildsycoca4(6637) KBuildServiceFactory::createEntry: Invalid Service : "/usr/share/applications/usbview.desktop"
kbuildsycoca4(6637) KConfigGroup::readXdgListEntry: List entry application/x-quicktime-media-link in "/home/micha/.local/share/applications/mimeapps.list" is not compliant with XDG standard (missing trailing semicolon).
kbuildsycoca4(6637) KConfigGroup::readXdgListEntry: List entry text/plain in "/home/micha/.local/share/applications/mimeapps.list" is not compliant with XDG standard (missing trailing semicolon).
kdenlive(6617) KBookmarkManager::parse: KBookmarkManager::parse : main tag is missing, creating default "/home/micha/.local/share/user-places.xbel"
kdenlive(6617) KSambaSharePrivate::findSmbConf: KSambaShare: Could not find smb.conf!
[NULL @ 0x7f0f400084e0] Value 4707126720094797824.000000 for parameter 'probesize' out of range
[NULL @ 0x7f0f400084e0] Value 4707126720094797824.000000 for parameter 'analyzeduration' out of range
[NULL @ 0x7f0f400084e0] Value 4697254411347427328.000000 for parameter 'indexmem' out of range
[NULL @ 0x7f0f400084e0] Value 4703785510416416768.000000 for parameter 'rtbufsize' out of range
[NULL @ 0x7f0f400084e0] Value -4616189618054758400.000000 for parameter 'fpsprobesize' out of range
[NULL @ 0x7f0f400084e0] Value 4607182418800017408.000000 for parameter 'f_err_detect' out of range
[NULL @ 0x7f0f400084e0] Value 4607182418800017408.000000 for parameter 'err_detect' out of range
[AVI demuxer @ 0x7f0f40008b20] Value 4607182418800017408.000000 for parameter 'use_odml' out of range
[NULL @ 0x7f0f4000e8c0] Value 4686111960511545344.000000 for parameter 'b' out of range
[NULL @ 0x7f0f4000e8c0] Value 4683532506232782848.000000 for parameter 'ab' out of range
[NULL @ 0x7f0f4000e8c0] Value 4705844345939427328.000000 for parameter 'bt' out of range
[NULL @ 0x7f0f4000e8c0] Value 4617315517961601024.000000 for parameter 'me_method' out of range
[NULL @ 0x7f0f4000e8c0] Value 4622945017495814144.000000 for parameter 'g' out of range
[NULL @ 0x7f0f4000e8c0] Value 4611686018427387904.000000 for parameter 'qmin' out of range
[NULL @ 0x7f0f4000e8c0] Value 4629418941960159232.000000 for parameter 'qmax' out of range
[NULL @ 0x7f0f4000e8c0] Value 4613937818241073152.000000 for parameter 'qdiff' out of range
[NULL @ 0x7f0f4000e8c0] Value -4616189618054758400.000000 for parameter 'wpredp' out of range
[NULL @ 0x7f0f4000e8c0] Value 4607182418800017408.000000 for parameter 'bug' out of range
[NULL @ 0x7f0f4000e8c0] Value 4607182418800017408.000000 for parameter 'er' out of range
[NULL @ 0x7f0f4000e8c0] Value 4607182418800017408.000000 for parameter 'err_detect' out of range
[NULL @ 0x7f0f4000e8c0] Value 4613937818241073152.000000 for parameter 'ec' out of range
[NULL @ 0x7f0f4000e8c0] Value 4620693217682128896.000000 for parameter 'ildctcmp' out of range
[NULL @ 0x7f0f4000e8c0] Value 4620693217682128896.000000 for parameter 'subq' out of range
[NULL @ 0x7f0f4000e8c0] Value 4696837138094751744.000000 for parameter 'ibias' out of range
[NULL @ 0x7f0f4000e8c0] Value 4696837138094751744.000000 for parameter 'pbias' out of range
[NULL @ 0x7f0f4000e8c0] Value 4642507528377204736.000000 for parameter 'lmin' out of range
[NULL @ 0x7f0f4000e8c0] Value 4660262442142531584.000000 for parameter 'lmax' out of range
[NULL @ 0x7f0f4000e8c0] Value 4696130710463840256.000000 for parameter 'flags2' out of range
[NULL @ 0x7f0f4000e8c0] Value 4607182418800017408.000000 for parameter 'threads' out of range
[NULL @ 0x7f0f4000e8c0] Value 4620693217682128896.000000 for parameter 'nssew' out of range
[NULL @ 0x7f0f4000e8c0] Value -4586705114244317184.000000 for parameter 'profile' out of range
[NULL @ 0x7f0f4000e8c0] Value -4586705114244317184.000000 for parameter 'level' out of range
[NULL @ 0x7f0f4000e8c0] Value 4623507967449235456.000000 for parameter 'skipcmp' out of range
[NULL @ 0x7f0f4000e8c0] Value 4642507528377204736.000000 for parameter 'mblmin' out of range
[NULL @ 0x7f0f4000e8c0] Value 4660262442142531584.000000 for parameter 'mblmax' out of range
[NULL @ 0x7f0f4000e8c0] Value 4643211215818981376.000000 for parameter 'mepc' out of range
[NULL @ 0x7f0f4000e8c0] Value 4607182418800017408.000000 for parameter 'bidir_refine' out of range
[NULL @ 0x7f0f4000e8c0] Value -4616189618054758400.000000 for parameter 'cqp' out of range
[NULL @ 0x7f0f4000e8c0] Value 4627730092099895296.000000 for parameter 'keyint_min' out of range
[NULL @ 0x7f0f4000e8c0] Value 4607182418800017408.000000 for parameter 'refs' out of range
[NULL @ 0x7f0f4000e8c0] Value -4616189618054758400.000000 for parameter 'directpred' out of range
[NULL @ 0x7f0f4000e8c0] Value 4618441417868443648.000000 for parameter 'sc_factor' out of range
[NULL @ 0x7f0f4000e8c0] Value 4643211215818981376.000000 for parameter 'mv0_threshold' out of range
[NULL @ 0x7f0f4000e8c0] Value 4630826316843712512.000000 for parameter 'b_sensitivity' out of range
[NULL @ 0x7f0f4000e8c0] Value -4616189618054758400.000000 for parameter 'compression_level' out of range
[NULL @ 0x7f0f4000e8c0] Value -4616189618054758400.000000 for parameter 'min_prediction_order' out of range
[NULL @ 0x7f0f4000e8c0] Value -4616189618054758400.000000 for parameter 'max_prediction_order' out of range
[NULL @ 0x7f0f4000e8c0] Value -4616189618054758400.000000 for parameter 'prediction_order_method' out of range
[NULL @ 0x7f0f4000e8c0] Value -4616189618054758400.000000 for parameter 'min_partition_order' out of range
[NULL @ 0x7f0f4000e8c0] Value -4616189618054758400.000000 for parameter 'max_partition_order' out of range
[NULL @ 0x7f0f4000e8c0] Value 4607182418800017408.000000 for parameter 'ticks_per_frame' out of range
[NULL @ 0x7f0f4000e8c0] Value 4611686018427387904.000000 for parameter 'color_primaries' out of range
[NULL @ 0x7f0f4000e8c0] Value 4611686018427387904.000000 for parameter 'color_trc' out of range
[NULL @ 0x7f0f4000e8c0] Value 4611686018427387904.000000 for parameter 'colorspace' out of range
[NULL @ 0x7f0f4000e8c0] Value -4616189618054758400.000000 for parameter 'aq_mode' out of range
[NULL @ 0x7f0f4000e8c0] Value -4616189618054758400.000000 for parameter 'rc_lookahead' out of range
[NULL @ 0x7f0f4000e8c0] Value -4616189618054758400.000000 for parameter 'lpc_type' out of range
[NULL @ 0x7f0f4000e8c0] Value -4616189618054758400.000000 for parameter 'lpc_passes' out of range
[NULL @ 0x7f0f4000e8c0] Value 4613937818241073152.000000 for parameter 'thread_type' out of range
[NULL @ 0x7f0f4000e8c0] Value -4616189618054758400.000000 for parameter 'request_sample_fmt' out of range
[avi @ 0x7f0f400084e0] decoding for stream 0 failed
[avi @ 0x7f0f400084e0] Could not find codec parameters (Video: mjpeg (MJPG / 0x47504A4D), 480x360)
[NULL @ 0x7f0f4000fb00] Value 4707126720094797824.000000 for parameter 'probesize' out of range
[NULL @ 0x7f0f4000fb00] Value 4707126720094797824.000000 for parameter 'analyzeduration' out of range
[NULL @ 0x7f0f4000fb00] Value 4697254411347427328.000000 for parameter 'indexmem' out of range
[NULL @ 0x7f0f4000fb00] Value 4703785510416416768.000000 for parameter 'rtbufsize' out of range
[NULL @ 0x7f0f4000fb00] Value -4616189618054758400.000000 for parameter 'fpsprobesize' out of range
[NULL @ 0x7f0f4000fb00] Value 4607182418800017408.000000 for parameter 'f_err_detect' out of range
[NULL @ 0x7f0f4000fb00] Value 4607182418800017408.000000 for parameter 'err_detect' out of range
[AVI demuxer @ 0x7f0f40010240] Value 4607182418800017408.000000 for parameter 'use_odml' out of range
[NULL @ 0x7f0f40010500] Value 4686111960511545344.000000 for parameter 'b' out of range
[NULL @ 0x7f0f40010500] Value 4683532506232782848.000000 for parameter 'ab' out of range
[NULL @ 0x7f0f40010500] Value 4705844345939427328.000000 for parameter 'bt' out of range
[NULL @ 0x7f0f40010500] Value 4617315517961601024.000000 for parameter 'me_method' out of range
[NULL @ 0x7f0f40010500] Value 4622945017495814144.000000 for parameter 'g' out of range
[NULL @ 0x7f0f40010500] Value 4611686018427387904.000000 for parameter 'qmin' out of range
[NULL @ 0x7f0f40010500] Value 4629418941960159232.000000 for parameter 'qmax' out of range
[NULL @ 0x7f0f40010500] Value 4613937818241073152.000000 for parameter 'qdiff' out of range
[NULL @ 0x7f0f40010500] Value -4616189618054758400.000000 for parameter 'wpredp' out of range
[NULL @ 0x7f0f40010500] Value 4607182418800017408.000000 for parameter 'bug' out of range
[NULL @ 0x7f0f40010500] Value 4607182418800017408.000000 for parameter 'er' out of range
[NULL @ 0x7f0f40010500] Value 4607182418800017408.000000 for parameter 'err_detect' out of range
[NULL @ 0x7f0f40010500] Value 4613937818241073152.000000 for parameter 'ec' out of range
[NULL @ 0x7f0f40010500] Value 4620693217682128896.000000 for parameter 'ildctcmp' out of range
[NULL @ 0x7f0f40010500] Value 4620693217682128896.000000 for parameter 'subq' out of range
[NULL @ 0x7f0f40010500] Value 4696837138094751744.000000 for parameter 'ibias' out of range
[NULL @ 0x7f0f40010500] Value 4696837138094751744.000000 for parameter 'pbias' out of range
[NULL @ 0x7f0f40010500] Value 4642507528377204736.000000 for parameter 'lmin' out of range
[NULL @ 0x7f0f40010500] Value 4660262442142531584.000000 for parameter 'lmax' out of range
[NULL @ 0x7f0f40010500] Value 4696130710463840256.000000 for parameter 'flags2' out of range
[NULL @ 0x7f0f40010500] Value 4607182418800017408.000000 for parameter 'threads' out of range
[NULL @ 0x7f0f40010500] Value 4620693217682128896.000000 for parameter 'nssew' out of range
[NULL @ 0x7f0f40010500] Value -4586705114244317184.000000 for parameter 'profile' out of range
[NULL @ 0x7f0f40010500] Value -4586705114244317184.000000 for parameter 'level' out of range
[NULL @ 0x7f0f40010500] Value 4623507967449235456.000000 for parameter 'skipcmp' out of range
[NULL @ 0x7f0f40010500] Value 4642507528377204736.000000 for parameter 'mblmin' out of range
[NULL @ 0x7f0f40010500] Value 4660262442142531584.000000 for parameter 'mblmax' out of range
[NULL @ 0x7f0f40010500] Value 4643211215818981376.000000 for parameter 'mepc' out of range
[NULL @ 0x7f0f40010500] Value 4607182418800017408.000000 for parameter 'bidir_refine' out of range
[NULL @ 0x7f0f40010500] Value -4616189618054758400.000000 for parameter 'cqp' out of range
[NULL @ 0x7f0f40010500] Value 4627730092099895296.000000 for parameter 'keyint_min' out of range
[NULL @ 0x7f0f40010500] Value 4607182418800017408.000000 for parameter 'refs' out of range
[NULL @ 0x7f0f40010500] Value -4616189618054758400.000000 for parameter 'directpred' out of range
[NULL @ 0x7f0f40010500] Value 4618441417868443648.000000 for parameter 'sc_factor' out of range
[NULL @ 0x7f0f40010500] Value 4643211215818981376.000000 for parameter 'mv0_threshold' out of range
[NULL @ 0x7f0f40010500] Value 4630826316843712512.000000 for parameter 'b_sensitivity' out of range
[NULL @ 0x7f0f40010500] Value -4616189618054758400.000000 for parameter 'compression_level' out of range
[NULL @ 0x7f0f40010500] Value -4616189618054758400.000000 for parameter 'min_prediction_order' out of range
[NULL @ 0x7f0f40010500] Value -4616189618054758400.000000 for parameter 'max_prediction_order' out of range
[NULL @ 0x7f0f40010500] Value -4616189618054758400.000000 for parameter 'prediction_order_method' out of range
[NULL @ 0x7f0f40010500] Value -4616189618054758400.000000 for parameter 'min_partition_order' out of range
[NULL @ 0x7f0f40010500] Value -4616189618054758400.000000 for parameter 'max_partition_order' out of range
[NULL @ 0x7f0f40010500] Value 4607182418800017408.000000 for parameter 'ticks_per_frame' out of range
[NULL @ 0x7f0f40010500] Value 4611686018427387904.000000 for parameter 'color_primaries' out of range
[NULL @ 0x7f0f40010500] Value 4611686018427387904.000000 for parameter 'color_trc' out of range
[NULL @ 0x7f0f40010500] Value 4611686018427387904.000000 for parameter 'colorspace' out of range
[NULL @ 0x7f0f40010500] Value -4616189618054758400.000000 for parameter 'aq_mode' out of range
[NULL @ 0x7f0f40010500] Value -4616189618054758400.000000 for parameter 'rc_lookahead' out of range
[NULL @ 0x7f0f40010500] Value -4616189618054758400.000000 for parameter 'lpc_type' out of range
[NULL @ 0x7f0f40010500] Value -4616189618054758400.000000 for parameter 'lpc_passes' out of range
[NULL @ 0x7f0f40010500] Value 4613937818241073152.000000 for parameter 'thread_type' out of range
[NULL @ 0x7f0f40010500] Value -4616189618054758400.000000 for parameter 'request_sample_fmt' out of range
[avi @ 0x7f0f4000fb00] decoding for stream 0 failed
[avi @ 0x7f0f4000fb00] Could not find codec parameters (Video: mjpeg (MJPG / 0x47504A4D), 480x360)
kdenlive(6617)/kdecore (KConfigSkeleton) KCoreConfigSkeleton::writeConfig:
--------
(regular quitting by menu)
TagsNo tags attached.
Build/Install MethodDistribution package
Attached Files

- Relationships

-  Notes
(0009407)
tc (reporter)
2013-03-22 15:55

It seems that anything is out of range. If i knew what backend is responsible for the decoding, i could start here. Is it ffmpeg ?

This is ffmpeg version 0.10.3 from debain package, as it says, compiled with:

--prefix=/usr --extra-cflags='-g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Werror=format-security ' --extra-ldflags='-Wl,-z,relro' --cc='ccache cc' --enable-shared --enable-libmp3lame --enable-gpl --enable-nonfree --enable-libdirac --disable-decoder=libdirac --enable-libvorbis --enable-pthreads --enable-libfaac --enable-libxvid --enable-postproc --enable-x11grab --enable-libgsm --enable-libtheora --enable-libopencore-amrnb --enable-libopencore-amrwb --enable-libx264 --enable-libspeex --enable-nonfree --disable-stripping --enable-libschroedinger --disable-encoder=libschroedinger --enable-version3 --enable-libopenjpeg --enable-libvpx --enable-librtmp --enable-avfilter --enable-libfreetype --enable-libvo-aacenc --disable-decoder=amrnb --enable-libvo-amrwbenc --enable-libaacplus --libdir=/usr/lib/x86_64-linux-gnu --disable-vda --enable-libdc1394 --disable-altivec --disable-armv5te --disable-armv6 --disable-vis --shlibdir=/usr/lib/x86_64-linux-gnu
  libavutil 51. 35.100 / 51. 73.101
  libavcodec 53. 61.100 / 53. 61.100
  libavformat 53. 32.100 / 53. 32.100
  libavdevice 53. 4.100 / 53. 4.100
  libavfilter 2. 61.100 / 2. 77.100
  libswscale 2. 1.100 / 2. 1.101
  libswresample 0. 6.100 / 0. 15.100
  libpostproc 52. 0.100 / 52. 0.100

And while we are at this, it is kernel: Linux 3.2.0-4-amd64, nvidia 7300 GeForece native kernel driver, and KDE 4.8.4-4.
The other versions are:
kdenlive 0.9.2-2
kdenlive-data 0.9.2-2
melt 0.8.0-4
libmlt++3 0.8.0-4
libmlt-data 0.8.0-4
libmlt2 0.5.6+git20100727-1
libmlt5 0.8.0-4

which looks a little bit mixed, but before you got suspicious here, mind that package manager got it OK, and the failure was with any other versions of anything as well.

(btw. I fixed the mimeapps error. But it was unrelated anyway.)

Can there be a connection to LC_ALL which is set to en_US.UTF-8 here ?
(0009408)
tc (reporter)
2013-03-22 21:33

Updated melt. The actual version set now is

kdenlive 0.9.2-2
kdenlive-data 0.9.2-2
melt 0.8.8-1
libmlt++3 0.8.8-1
libmlt-data 0.8.8-1
libmlt2 0.5.6+git20100727-1
libmlt5 0.8.8-1
ffmpeg 0.10.3
libxine2-ffmpeg 1.2.2-4
gstreamer0.10-ffmpeg

but no change, still fails.
(0009422)
tc (reporter)
2013-03-25 04:07

I think this is the same as 0003030
(0009424)
tc (reporter)
2013-03-25 04:26

gdb says nothing new, besides

  warning: Could not load shared library symbols for linux-vdso.so.1.
  Do you need "set solib-search-path" or "set sysroot"?

at startup.
(0009428)
tc (reporter)
2013-03-27 04:11

SOLVED by chance.

It definitely was some package version incompatibility. I found some 'artefacts' from debian-multimedia (though i've removd that source from my database early in the process - those were the 'dmo' ppackages in my lists) which i apparently could safely remove, or replace by versions from debian unstable.

I like to mention that most of the stuff did not have any direct dependency by kdenlive so i could not see the problem easily; for example there was a lot of 'libav*' stuff (like libavcodec or libavformat), which could either be reomved or downgraded; or gstreamer10-ffmepg.

I had to temprarily remove many packages (including kdenlive and ffmepg) completely to have it clean, so it's hard to say which component exactly was critical. I launched kednlive after every step and it always failed, just until the last step, which involved downgrading libav*53, and reinstalling melt (which downgraded the dmo-version of libmlt-data).

I also installed openshot - maybe that threat does the trick :)

I also explicity installed transcode and x264, in the beginning, which weren't required (by package dependency) before, but i saw them mentioned on kdenlive.org.
(0009429)
tc (reporter)
2013-03-27 04:12

Now the commandline output still reports 'out of range' but that does not prevent clip loading anymore

Like this:

# kdenlive --nocrashhandler --sync

[swscaler @ 0x7fa03804fc40] Value 1.000000 for parameter 'srcw' out of range
[swscaler @ 0x7fa03804fc40] Value 1.000000 for parameter 'srch' out of range
[swscaler @ 0x7fa03804fc40] Value 1.000000 for parameter 'dstw' out of range
[swscaler @ 0x7fa03804fc40] Value 1.000000 for parameter 'dsth' out of range
[swscaler @ 0x7fa0382847a0] Value 1.000000 for parameter 'srcw' out of range
[swscaler @ 0x7fa0382847a0] Value 1.000000 for parameter 'srch' out of range
[swscaler @ 0x7fa0382847a0] Value 1.000000 for parameter 'dstw' out of range
[swscaler @ 0x7fa0382847a0] Value 1.000000 for parameter 'dsth' out of range
[swscaler @ 0x7fa038011be0] Value 1.000000 for parameter 'srcw' out of range
[swscaler @ 0x7fa038011be0] Value 1.000000 for parameter 'srch' out of range
[swscaler @ 0x7fa038011be0] Value 1.000000 for parameter 'dstw' out of range
[swscaler @ 0x7fa038011be0] Value 1.000000 for parameter 'dsth' out of range
[swscaler @ 0x7fa038011be0] Warning: data is not aligned! This can lead to a speedloss
[swscaler @ 0x7fa03826eae0] Value 1.000000 for parameter 'srcw' out of range
[swscaler @ 0x7fa03826eae0] Value 1.000000 for parameter 'srch' out of range
[swscaler @ 0x7fa03826eae0] Value 1.000000 for parameter 'dstw' out of range
[swscaler @ 0x7fa03826eae0] Value 1.000000 for parameter 'dsth' out of range
[swscaler @ 0x7fa03826eae0] Value 1.000000 for parameter 'srcw' out of range
[swscaler @ 0x7fa03826eae0] Value 1.000000 for parameter 'srch' out of range
[swscaler @ 0x7fa03826eae0] Value 1.000000 for parameter 'dstw' out of range
[swscaler @ 0x7fa03826eae0] Value 1.000000 for parameter 'dsth' out of range
[swscaler @ 0x7fa03826eae0] Value 1.000000 for parameter 'srcw' out of range
[swscaler @ 0x7fa03826eae0] Value 1.000000 for parameter 'srch' out of range
[swscaler @ 0x7fa03826eae0] Value 1.000000 for parameter 'dstw' out of range
[swscaler @ 0x7fa03826eae0] Value 1.000000 for parameter 'dsth' out of range
kdenlive(26605) Render::checkMaxThreads: // TRACTOR PROBLEM
[swscaler @ 0x7fa03801e220] Value 1.000000 for parameter 'srcw' out of range
[swscaler @ 0x7fa03801e220] Value 1.000000 for parameter 'srch' out of range
[swscaler @ 0x7fa03801e220] Value 1.000000 for parameter 'dstw' out of range
[swscaler @ 0x7fa03801e220] Value 1.000000 for parameter 'dsth' out of range
(0009430)
tc (reporter)
2013-03-27 04:15

Here is the working set of packages, which are installed right ow:

# Machine: x86_64
# Kernel: Linux 3.2.0-4-amd64
# Debian GNU/Linux 7.0

libc6:amd64 2.17-0experimental2
libc6-dbg:amd64 2.17-0experimental2
libc6-dev:amd64 2.17-0experimental2
kdelibs-bin 4:4.8.4-4
kdelibs5-data 4:4.8.4-4
kdelibs5-plugins 4:4.8.4-4
libqt3-mt 3:3.3.8b-11
libqt4-dbus:amd64 4:4.8.2+dfsg-11
libqt4-declarative:amd64 4:4.8.2+dfsg-11
libqt4-designer:amd64 4:4.8.2+dfsg-11
libqt4-help:amd64 4:4.8.2+dfsg-11
libqt4-network:amd64 4:4.8.2+dfsg-11
libqt4-opengl:amd64 4:4.8.2+dfsg-11
libqt4-qt3support:amd64 4:4.8.2+dfsg-11
libqt4-script:amd64 4:4.8.2+dfsg-11
libqt4-scripttools:amd64 4:4.8.2+dfsg-11
libqt4-sql:amd64 4:4.8.2+dfsg-11
libqt4-sql-mysql:amd64 4:4.8.2+dfsg-11
libqt4-sql-psql:amd64 4:4.8.2+dfsg-11
libqt4-sql-sqlite:amd64 4:4.8.2+dfsg-11
libqt4-svg:amd64 4:4.8.2+dfsg-11
libqt4-test:amd64 4:4.8.2+dfsg-11
libqt4-xml:amd64 4:4.8.2+dfsg-11
libqt4-xmlpatterns:amd64 4:4.8.2+dfsg-11
libqtassistantclient4:amd64 4.6.3-4
libqtcore4:amd64 4:4.8.2+dfsg-11
libqtdbus4:amd64 4:4.8.2+dfsg-11
libqtgui4:amd64 4:4.8.2+dfsg-11
libqtwebkit4:amd64 2.2.1-5
kdenlive 0.9.2-2
kdenlive-data 0.9.2-2
melt 0.8.0-4
libmlt++3 0.8.0-4
libmlt-data 0.8.0-4
libmlt5 0.8.0-4
ffmpeg 6:0.8.6-1
gstreamer0.10-ffmpeg:amd64 0.10.13-5
libxine2-ffmpeg 1.2.2-4
libav-tools 6:0.8.6-1
libavc1394-0:amd64 0.5.4-2
libavcodec53:amd64 6:0.8.6-1
libavdevice52 4:0.5.10-1
libavdevice53:amd64 6:0.8.6-1
libavfilter2:amd64 6:0.8.6-1
libavformat53:amd64 6:0.8.6-1
libavutil51:amd64 6:0.8.6-1
(0009431)
tc (reporter)
2013-03-27 15:13

If this really was just a package incompatibility, then the bug should go to the package management which didn't reflect that in dependencies.

The first occurrence of that bug was before i even had any debian-multimedia packages installed. I guess then it's not helpful to just blame dmo.

It looks like kdenlive packages should, rather than requiring minimal version numbers, just require one specific version of anything, resembling a set that is known as working. It will make installation on mixed systems harder, of course.

Since the exact root of trouble can no more identified, only that it wasn't exactly kdenlive itself, i suggest close this bug, and 0003026 too.

- Issue History
Date Modified Username Field Change
2013-03-22 03:02 tc New Issue
2013-03-22 15:55 tc Note Added: 0009407
2013-03-22 21:33 tc Note Added: 0009408
2013-03-25 04:07 tc Note Added: 0009422
2013-03-25 04:26 tc Note Added: 0009424
2013-03-27 04:11 tc Note Added: 0009428
2013-03-27 04:12 tc Note Added: 0009429
2013-03-27 04:15 tc Note Added: 0009430
2013-03-27 15:13 tc Note Added: 0009431
2013-03-30 20:44 j-b-m Status new => resolved
2013-03-30 20:44 j-b-m Fixed in Version => 0.9.4
2013-03-30 20:44 j-b-m Resolution open => fixed
2013-03-30 20:44 j-b-m Assigned To => j-b-m
2013-04-07 08:45 j-b-m Fixed in Version 0.9.4 => 0.9.6
2013-04-07 08:45 j-b-m Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker